/**
 * This file is part of FatturazioneElettronica - Core
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.ejb.invoice;

import it.fe.core.par.invoice.PreviousDocument;
import it.fe.core.par.invoice.Supplier;


public interface PreviousDocumentManager {
	
	public PreviousDocument findPreviousDocumentById(long id);
	
	public PreviousDocument findPreviousDocumentByDocumentCode(String documentCode, Supplier supplier);
	
	public PreviousDocument findContractByDocumentCode(String documentCode, Supplier supplier);
	
	public long insertPreviousDocument(PreviousDocument previousDocument);
	
	public int removePreviousDocumentById(long id);
}
