/**
 * This file is part of FatturazioneElettronica - Core
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.ejb.mock;

import it.fe.core.ejb.invoice.InvoiceManager;
import it.fe.core.par.invoice.AdditionalData;
import it.fe.core.par.invoice.Invoice;
import it.fe.core.par.invoice.InvoiceLine;
import it.fe.core.par.invoice.InvoiceState;
import it.fe.core.par.invoice.OriginalDocument;
import it.fe.core.par.invoice.PreviousDocument;
import it.fe.core.par.invoice.TaxDetail;
import it.fe.core.par.utility.MeterSummary;
import it.fe.core.par.utility.Reading;

import java.util.List;

public class InvoiceManagerMock implements InvoiceManager {

	public int checkInvoice(Invoice invoice) {
		return 0;
	}

	
	public int findTotalInvoices() {
		return 0;
	}

	
	public Invoice getInvoiceById(long id) {
		return null;
	}

	
	public List<Invoice> getInvoices() {
		return null;
	}

	
	public List<Invoice> getPagedInvoices(int first, int pageSize) {
		return null;
	}

	
	public long insertInvoice(Invoice invoice) {
		return 0;
	}

	
	public int removeInvoiceById(long id) {
		return 0;
	}

	
	public Invoice updateInvoiceState(long id, InvoiceState state) {
		Invoice updatedInvoice = new Invoice();
		updatedInvoice.setInvoiceState(state);
		return updatedInvoice;
	}

	
	public Invoice updateProcessInstanceId(long id, String processInstanceId) {
		return null;
	}

	public Invoice findInvoiceByNumberAndVatId(String invoiceNumber, String supplierVatId) {
		return null;
	}


	public List<InvoiceLine> fetchInvoiceLines(Invoice invoice) {
		// TODO Auto-generated method stub
		return null;
	}


	public List<MeterSummary> fetchMeterSummaries(Invoice invoice) {
		// TODO Auto-generated method stub
		return null;
	}


	public List<PreviousDocument> fetchPreviousDocuments(Invoice invoice) {
		// TODO Auto-generated method stub
		return null;
	}


	public Invoice fetchXMLFile(Invoice invoice) {
		// TODO Auto-generated method stub
		return null;
	}


	public Invoice updateInvoiceErrorState(long id, boolean isInError,
			String errorMessage) {
		// TODO Auto-generated method stub
		return null;
	}


	public List<AdditionalData> fetchInvoiceAdditionalData(Invoice invoice) {
		// TODO Auto-generated method stub
		return null;
	}


	public List<InvoiceLine> fetchInvoiceLinesWithAdditionalData(Invoice invoice) {
		// TODO Auto-generated method stub
		return null;
	}


	public Invoice updateInvoice(Invoice invoice) {
		// TODO Auto-generated method stub
		return null;
	}


	public List<AdditionalData> fetchInvoiceLineAdditionalData(
			InvoiceLine invoiceLine) {
		// TODO Auto-generated method stub
		return null;
	}


	public boolean invoiceExists(long id) {
		// TODO Auto-generated method stub
		return false;
	}


	public List<TaxDetail> fetchTaxDetails(Invoice invoice) {
		// TODO Auto-generated method stub
		return null;
	}


	public List<Reading> fetchReadings(Invoice Invoice) {
		// TODO Auto-generated method stub
		return null;
	}


	@Override
	public List<Object[]> fetchInvoiceLineAccountingCosts(Invoice invoice) {
		// TODO Auto-generated method stub
		return null;
	}


	@Override
	public List<OriginalDocument> fetchOriginalDocuments(Invoice invoice) {
		// TODO Auto-generated method stub
		return null;
	}


}
