/**
 * This file is part of FatturazioneElettronica - Core Extensions - Comune di Modena
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - Comune di Modena is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - Comune di Modena is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - Comune di Modena.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.ejb.invoice;

import it.fe.core.par.comunemodena.AreaCommercialeInvoiceLine;
import it.fe.core.par.comunemodena.InvoiceLineAdditionalData;
import it.fe.core.par.invoice.Invoice;

import java.util.List;

public interface InvoiceManagerComuneModena extends InvoiceManager {
	
	public List<AreaCommercialeInvoiceLine> fetchInvoiceLineAdditionalDataAreaCommerciale(InvoiceLineAdditionalData invoiceLineAdditionalData);
	public Invoice mergeInvoiceAdditionalDataFromMeter(Invoice invoice);
	
}
