/**
 * This file is part of FatturazioneElettronica - Core Extensions - Comune di Modena
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - Comune di Modena is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - Comune di Modena is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - Comune di Modena.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.ws.comunemodena.sib;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for rigaBean complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="rigaBean">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="areaCommerciale" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="areeCommerciali" type="{http://webservice.sib.comune.modena.it/}areaCommercialeBean" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="causaleRiga" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="flagTipo" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="importoAliquota" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="importoImponibile" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="subCausaleRiga" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "rigaBean", propOrder = {
    "areaCommerciale",
    "areeCommerciali",
    "causaleRiga",
    "flagTipo",
    "importoAliquota",
    "importoImponibile",
    "subCausaleRiga"
})
public class RigaBean {

    protected int areaCommerciale;
    @XmlElement(nillable = true)
    protected List<AreaCommercialeBean> areeCommerciali;
    protected String causaleRiga;
    protected String flagTipo;
    protected double importoAliquota;
    protected double importoImponibile;
    protected String subCausaleRiga;

    /**
     * Gets the value of the areaCommerciale property.
     * 
     */
    public int getAreaCommerciale() {
        return areaCommerciale;
    }

    /**
     * Sets the value of the areaCommerciale property.
     * 
     */
    public void setAreaCommerciale(int value) {
        this.areaCommerciale = value;
    }

    /**
     * Gets the value of the areeCommerciali property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the areeCommerciali property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAreeCommerciali().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AreaCommercialeBean }
     * 
     * 
     */
    public List<AreaCommercialeBean> getAreeCommerciali() {
        if (areeCommerciali == null) {
            areeCommerciali = new ArrayList<AreaCommercialeBean>();
        }
        return this.areeCommerciali;
    }

    /**
     * Gets the value of the causaleRiga property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCausaleRiga() {
        return causaleRiga;
    }

    /**
     * Sets the value of the causaleRiga property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCausaleRiga(String value) {
        this.causaleRiga = value;
    }

    /**
     * Gets the value of the flagTipo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFlagTipo() {
        return flagTipo;
    }

    /**
     * Sets the value of the flagTipo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFlagTipo(String value) {
        this.flagTipo = value;
    }

    /**
     * Gets the value of the importoAliquota property.
     * 
     */
    public double getImportoAliquota() {
        return importoAliquota;
    }

    /**
     * Sets the value of the importoAliquota property.
     * 
     */
    public void setImportoAliquota(double value) {
        this.importoAliquota = value;
    }

    /**
     * Gets the value of the importoImponibile property.
     * 
     */
    public double getImportoImponibile() {
        return importoImponibile;
    }

    /**
     * Sets the value of the importoImponibile property.
     * 
     */
    public void setImportoImponibile(double value) {
        this.importoImponibile = value;
    }

    /**
     * Gets the value of the subCausaleRiga property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSubCausaleRiga() {
        return subCausaleRiga;
    }

    /**
     * Sets the value of the subCausaleRiga property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSubCausaleRiga(String value) {
        this.subCausaleRiga = value;
    }

}
