/**
 * This file is part of FatturazioneElettronica - Web - Common
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Web - Common is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Web - Common is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Web - Common.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.web.controller.invoice;

public class AccountingCostAggregation {

	public String accountingCost;
	public Double totalExtensionAmount;
	public String taxAmountCurrency;
	
	public AccountingCostAggregation() {
		super();
	}

	public AccountingCostAggregation(String accountingCost,
			Double totalExtensionAmount,String taxAmountCurrency) {
		super();
		this.accountingCost = accountingCost;
		this.totalExtensionAmount = totalExtensionAmount;
		this.taxAmountCurrency = taxAmountCurrency;
	}
	
	public String getAccountingCost() {
		return accountingCost;
	}
	public void setAccountingCost(String accountingCost) {
		this.accountingCost = accountingCost;
	}
	public Double getTotalExtensionAmount() {
		return totalExtensionAmount;
	}
	public void setTotalExtensionAmount(Double totalExtensionAmount) {
		this.totalExtensionAmount = totalExtensionAmount;
	}

	public String getTaxAmountCurrency() {
		return taxAmountCurrency;
	}

	public void setTaxAmountCurrency(String taxAmountCurrency) {
		this.taxAmountCurrency = taxAmountCurrency;
	}
	

}
