/**
 * This file is part of FatturazioneElettronica
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * 
*
 *
 */
package it.fe.ws.unimore;

import java.util.ArrayList;
import java.util.HashMap;

public interface CIAIntegration {
	
	public <T> ArrayList<T> findByParameters(Class<T> clazz, HashMap<String, Object> parameters);
	
	public <T> ArrayList<T> findByNativeQuery(Class<T> clazz, String query);
	
	public String[] invokeStoredProcedure(Long code, String CIACode);
	
	public String test(String test);

}
